## tp-linux 0.48

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2014 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.26

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(SOURCENAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


#configure:unpack debian/stamp-patched configure-up-stamp
configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | gzip -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
else
	# native package
	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | gzip -v9 -c > $(DISTFILE)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-linux (0.48) squeeze; urgency=low

  * Fix depends of tp-linux-afs-bcache.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 08 Sep 2014 10:15:16 +0100

tp-linux (0.47) squeeze; urgency=low

  * Create tp-linux-afs-bcache
  * Replace tp-linuc-*3.13 by tp-linux-*3.14

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 08 Sep 2014 09:59:47 +0100

tp-linux (0.46) squeeze; urgency=low

  * Fix typo on dependecies to linux-headers-3.13-0.bpo.1-<FLAVOUR>
  * Update debian/copyright file

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 21 Mar 2014 14:56:50 +0000

tp-linux (0.45) squeeze; urgency=low

  * Change architecture from specific to all for amd64 and powerpc

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 21 Mar 2014 12:29:18 +0000

tp-linux (0.44) squeeze; urgency=low

  * Use Debian backports kernels for bcache
  * Add support for 686-pae and powerpc-smp kernels

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 20 Mar 2014 19:10:27 +0000

tp-linux (0.43) squeeze; urgency=low

  * New metapackages tp-linux-bcache, tp-linux-3.13, tp-linux-3.13-amd64

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 20:05:01 +0000

tp-linux (0.42) squeeze; urgency=low

  * Removed deprecated packages: tp-linux-labs-lenny-lti,
    tp-linux-2.6.26*, tp-linux-afs-2.6.26*

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 16 Jul 2013 15:36:11 +0100

tp-linux (0.41) squeeze; urgency=low

  *  Rename package tp-linux-3.2.0-686 to tp-linux-3.2.0-686-pae.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 31 May 2013 18:58:08 +0100

tp-linux (0.40) squeeze; urgency=low

  * Revert last change.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 31 May 2013 18:45:41 +0100

tp-linux (0.39) squeeze; urgency=low

  * Fix depends of packages tp-linux-3.2.0-<FLAVOUR>.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 29 May 2013 19:06:31 +0100

tp-linux (0.38) squeeze; urgency=low

  * Bump ABI to version 4 for 3.2.0 kernels.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 08 Apr 2013 19:40:12 +0100

tp-linux (0.37) squeeze; urgency=low

  * Add depency openafs-modules-dkms to tp-linux-afs-*

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 08 Apr 2013 19:35:25 +0100

tp-linux (0.36) squeeze; urgency=low

  * Updated Makefile to version 0.24.
  * Updated debian/rules to version 0.24.
  * Swap dependency between kernel 2.6.26 and 2.6.32

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 02 Apr 2013 20:09:18 +0100

tp-linux (0.35) squeeze; urgency=low

  * Bump ABI to version 3 for 3.2.0 kernels

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Aug 2012 20:48:55 +0100

tp-linux (0.34) squeeze; urgency=low

  * Partial support for kernels 3.2.0, lacks openafs metapackages.
  * Update Makefile to version 0.20~rc1

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Aug 2012 20:00:38 +0100

tp-linux (0.33) updates; urgency=low

  * Re-add sparc architecture.
  * Add depends on openafs-modules3, type for openafs modules 1.6.x .
  * Update Makefile to version 0.19~rc2.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 18 Apr 2012 12:14:39 +0100

tp-linux (0.32) updates; urgency=low

  * Added a missing coma on depends field that was hiding the firmware-linux.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 04 Sep 2011 18:48:29 +0100

tp-linux (0.31) updates; urgency=low

  * Created tp-linux-labs-squeeze-lti and tp-linux-labs-lenny-lti

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 12 Aug 2011 15:54:35 +0100

tp-linux (0.30) updates; urgency=low

  * Corrects tp-linux-afs-2.6, now depends on kernel 2.6.26 or 2.6.32
  * Corrects tp-linux-afs-2.6.32-*-flavour, now depends on
    tp-linux-2.6.32-*-flavour and so install kernel headers.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 12 Aug 2011 15:35:45 +0100

tp-linux (0.29) updates; urgency=low

  * Updated Makefile to version v0.17
  * Kernel 2.6.32 needs firmware, most of them are non-free, change depends.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Jun 2011 20:42:05 +0100

tp-linux (0.28) updates; urgency=low

  * Changes because squeeze is now stable:
  
    * Makefile uploads to lenny.
  
    * Create packages tp-linux-2.6.32-bpo-* and tp-linux-afs-2.6.32-bpo-*
    for backports kernels.

    * Create packages tp-linux-2.6.32-squeeze-* and
    tp-linux-afs-2.6.32-squeeze-* for squeeze kernels.
  
    * Packages tp-linux-2.6.32-<FLAVOUR>, tp-linux-afs-2.6.32-<FLAVOUR>
    are transicional packages for making easier the upgrade from backport
    kernels to squeeze kernels.
  
    * The same for the tp-linux-2.6.32-<FLAVOUR>-slim and
    tp-linux-afs-2.6.32-<FLAVOUR>-slim packages

    * Removed packages for sparc architecture.
  
 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 06 Feb 2011 18:52:55 +0000

tp-linux (0.27) updates; urgency=low

  * debian/copyright: draft for the DEP5 syntax format
  * tp-linux-2.6.32* and tp-linux-afs-2.6.32* depends on
    linux-tools-2.6.32

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 31 Jan 2011 20:40:35 +0000

tp-linux (0.26) updates; urgency=low

  * Created slim version for 2.6.32, only install de kernel, no headers or
    latest kernel.
  * Remove older and obsolete packages: 2.6.8, 2.6.16, 2.6.17.
  * Updated Makefile to version 0.13 from deb-template

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Dec 2010 20:03:38 +0000

tp-linux (0.25) updates; urgency=low

  * tp-linux-*2.6.32* now depends on ABI bpo.5 instead of bpo.4

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 21 Sep 2010 16:20:15 +0100

tp-linux (0.24) updates; urgency=low

  * Added support for 2.6.32 from backports.org
  * Remove support for old 2.4.27 kernels
  * Recomended kernels for Labs and LTIs are now 2.6.26 or 2.6.32

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 11 May 2010 16:06:53 +0100

tp-linux (0.23) updates; urgency=low



=== debian/control ===
Source: tp-linux
Section: dsi
Priority: optional
Maintainer: Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1


Package: tp-linux-labs-lti
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-labs-squeeze-lti,
Description: Recomended kernel and afs modules for LTIs
 Experimental
 .
 Recomended kernel and OpenAFS modules to be used on LTIs.


Package: tp-linux-labs-squeeze-lti
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32-squeeze-686 | tp-linux-afs-2.6.32-squeeze-amd64,
 tp-linux-afs-2.6.32-squeeze-486 | tp-linux-afs-2.6.32-squeeze-amd64,
Description: Recomended kernel and afs modules for LTIs
 Experimental
 .
 Recomended kernel and OpenAFS modules to be used on LTIs.

Package: tp-linux-labs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32,
Description: Recomended kernel and afs modules for others labs
 Tendo em conta as necessidades das cadeiras e os diferentes tipos de
 PCs nos laboratorios sem login integrado, este e o kernel recomendado.

Package: tp-linux-labs-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32,
Description: Recomended kernel and afs modules for others labs with Intel CPUs
 Tendo em conta as necessidades das cadeiras e os diferentes tipos de
 PCs nos laboratorios sem login integrado, este e o kernel recomendado.

Package: tp-linux-labs-k7
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32
Description: Recomended kernel and afs modules for others labs with AMD CPUs
 Tendo em conta as necessidades das cadeiras e os diferentes tipos de
 PCs nos laboratorios sem login integrado, este e o kernel recomendado.

Package: tp-linux-bcache
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-3.14 
Description: latest recomended Linux kernel for bcache
 Depends on 3.14.x
 .

Package: tp-linux-3.14
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-3.14-amd64 | tp-linux-3.14-686-pae | tp-linux-3.14-powerpc-smp
Description: latest recomended Linux kernel 3.14
 Depends on 3.14.x
 .

Package: tp-linux-3.14-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-3.14-0.bpo.2-amd64, linux-headers-3.14-0.bpo.2-amd64,
Description: latest recomended Linux kernel 3.14.x, amd64 flavour
 Depends on Linux Kernel 3.14-0.bpo.1
 .

Package: tp-linux-3.14-686-pae
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-3.14-0.bpo.2-686-pae, linux-headers-3.14-0.bpo.2-686-pae,
Description: latest recomended Linux kernel 3.14.x, 686-pae flavour
 Depends on Linux Kernel 3.14-0.bpo.1
 .

Package: tp-linux-3.14-powerpc-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-3.14-0.bpo.2-powerpc-smp, linux-headers-3.14-0.bpo.2-powerpc-smp,
Description: latest recomended Linux kernel 3.14.x, powerpc-smp flavour
 Depends on Linux Kernel 3.14-0.bpo.1
 .


Package: tp-linux-3.2
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-3.2.0 
Description: latest recomended Linux kernel 3.2
 Depends on 3.2.0

Package: tp-linux-3.2.0
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-3.2.0-486 | tp-linux-3.2.0-686-pae |  
 tp-linux-3.2.0-amd64 | 
 tp-linux-3.2.0-powerpc | tp-linux-3.2.0-powerpc-smp |
 tp-linux-3.2.0-sparc64 | tp-linux-3.2.0-sparc64-smp,
Description: latest recomended Linux kernel 3.2.0
 Experimental
 .

Package: tp-linux-3.2.0-486
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-486, linux-headers-2.6-486,
 linux-image-3.2.0-4-486, linux-headers-3.2.0-4-486,
Description: latest recomended Linux kernel 3.2.0, 486 flavour
 Experimental
 .

Package: tp-linux-3.2.0-686-pae
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-686-pae, linux-headers-2.6-686-pae,
 linux-image-3.2.0-4-686-pae, linux-headers-3.2.0-4-686-pae,
Description: latest recomended Linux kernel 3.2.0, 686-pae flavour
 Experimental
 .

Package: tp-linux-3.2.0-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-amd64, 
 linux-image-2.6-amd64, linux-headers-2.6-amd64,
 linux-image-3.2.0-4-amd64, linux-headers-3.2.0-4-amd64,
Description: latest recomended Linux kernel 3.2.0, amd64 flavour
 Experimental
 .


Package: tp-linux-3.2.0-powerpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc, linux-headers-2.6-powerpc,
 linux-image-3.2.0-4-powerpc, linux-headers-3.2.0-4-powerpc,
Description: latest recomended Linux kernel 3.2.0, powerpc flavour
 Experimental
 .

Package: tp-linux-3.2.0-powerpc-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc-smp, linux-headers-2.6-powerpc-smp,
 linux-image-3.2.0-4-powerpc-smp, linux-headers-3.2.0-4-powerpc-smp,
Description: latest recomended Linux kernel 3.2.0, powerpc flavour
 Experimental
 .


Package: tp-linux-3.2.0-sparc64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-sparc64, linux-headers-2.6-sparc64,
 linux-image-3.2.0-4-sparc64, linux-headers-3.2.0-4-sparc64,
Description: latest recomended Linux kernel 3.2.0, sparc64 flavour
 Experimental
 .

Package: tp-linux-3.2.0-sparc64-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-sparc64-smp, linux-headers-2.6-sparc64-smp,
 linux-image-3.2.0-4-sparc64-smp, linux-headers-3.2.0-4-sparc64-smp,
Description: latest recomended Linux kernel 3.2.0, sparc64 flavour
 Experimental
 .



Package: tp-linux-2.6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32,
Description: latest recomended Linux kernel 2.6
 Depends on 2.6.32.

Package: tp-linux-proposed-updates-2.6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6
Description: latest recomended Linux kernel 2.6
 Experimental

Package: tp-linux-afs-2.6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32,
Description: Recomended _stable_ kernel and afs, for most situations
 Depends on 2.6.32.







Package: tp-linux-2.6.32
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-486 | tp-linux-2.6.32-squeeze-686 | 
 tp-linux-2.6.32-squeeze-amd64 | 
 tp-linux-2.6.32-squeeze-powerpc | tp-linux-2.6.32-squeeze-powerpc-smp |
 tp-linux-2.6.32-squeeze-sparc64 | tp-linux-2.6.32-squeeze-sparc64-smp |
 tp-linux-2.6.32-bpo-486 | tp-linux-2.6.32-bpo-686 | 
 tp-linux-2.6.32-bpo-amd64 | 
 tp-linux-2.6.32-bpo-powerpc | tp-linux-2.6.32-bpo-powerpc-smp |
 tp-linux-2.6.32-bpo-sparc64 | tp-linux-2.6.32-bpo-sparc64-smp |
 tp-linux-2.6.32-486 | tp-linux-2.6.32-686 |
 tp-linux-2.6.32-amd64 |
 tp-linux-2.6.32-powerpc | tp-linux-2.6.32-powerpc-smp |
 tp-linux-2.6.32-sparc64 | tp-linux-2.6.32-sparc64-smp,
 linux-tools-2.6.32
Description: latest recomended Linux kernel 2.6.32
 Experimental
 .


Package: tp-linux-2.6.32-486
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-486 | tp-linux-2.6.32-bpo-486,
Description: latest recomended Linux kernel 2.6.32, 486 flavour
 Experimental
 .

Package: tp-linux-2.6.32-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-686 | tp-linux-2.6.32-bpo-686
Description: latest recomended Linux kernel 2.6.32, 686 flavour
 Experimental
 .

Package: tp-linux-2.6.32-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-amd64 | tp-linux-2.6.32-bpo-amd64,
Description: latest recomended Linux kernel 2.6.32, amd64 flavour
 Experimental
 .


Package: tp-linux-2.6.32-powerpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-powerpc | tp-linux-2.6.32-bpo-powerpc
Description: latest recomended Linux kernel 2.6.32, powerpc flavour
 Experimental
 .

Package: tp-linux-2.6.32-powerpc-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-powerpc-smp | tp-linux-2.6.32-bpo-powerpc-smp
Description: latest recomended Linux kernel 2.6.32, powerpc flavour
 Experimental
 .


Package: tp-linux-2.6.32-sparc64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-sparc64 | tp-linux-2.6.32-bpo-sparc64
Description: latest recomended Linux kernel 2.6.32, sparc64 flavour
 Experimental
 .

Package: tp-linux-2.6.32-sparc64-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-sparc64-smp | tp-linux-2.6.32-bpo-sparc64-smp
Description: latest recomended Linux kernel 2.6.32, powerpc flavour
 Experimental
 .


Package: tp-linux-2.6.32-bpo-486
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-486, linux-headers-2.6-486,
 linux-image-2.6.32-bpo.5-486, linux-headers-2.6.32-bpo.5-486,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, 486 flavour
 Experimental
 .

Package: tp-linux-2.6.32-bpo-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-686, linux-headers-2.6-686,
 linux-image-2.6.32-bpo.5-686, linux-headers-2.6.32-bpo.5-686,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, 686 flavour
 Experimental
 .

Package: tp-linux-2.6.32-bpo-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-amd64, 
 linux-image-2.6-amd64, linux-headers-2.6-amd64,
 linux-image-2.6.32-bpo.5-amd64, linux-headers-2.6.32-bpo.5-amd64,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, amd64 flavour
 Experimental
 .


Package: tp-linux-2.6.32-bpo-powerpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc, linux-headers-2.6-powerpc,
 linux-image-2.6.32-bpo.5-powerpc, linux-headers-2.6.32-bpo.5-powerpc,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, powerpc flavour
 Experimental
 .

Package: tp-linux-2.6.32-bpo-powerpc-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc-smp, linux-headers-2.6-powerpc-smp,
 linux-image-2.6.32-bpo.5-powerpc-smp, linux-headers-2.6.32-bpo.5-powerpc-smp,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, powerpc-smp flavour
 Experimental
 .


Package: tp-linux-2.6.32-squeeze-486
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-486, linux-headers-2.6-486,
 linux-image-2.6.32-5-486, linux-headers-2.6.32-5-486,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 for squeeze, 486 flavour
 Experimental
 .

Package: tp-linux-2.6.32-squeeze-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-686, linux-headers-2.6-686,
 linux-image-2.6.32-5-686, linux-headers-2.6.32-5-686,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 for squeeze, 686 flavour
 Experimental
 .

Package: tp-linux-2.6.32-squeeze-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-amd64, 
 linux-image-2.6-amd64, linux-headers-2.6-amd64,
 linux-image-2.6.32-5-amd64, linux-headers-2.6.32-5-amd64,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 for squeeze, amd64 flavour
 Experimental
 .


Package: tp-linux-2.6.32-squeeze-powerpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc, linux-headers-2.6-powerpc,
 linux-image-2.6.32-5-powerpc, linux-headers-2.6.32-5-powerpc,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 for squeeze, powerpc flavour
 Experimental
 .

Package: tp-linux-2.6.32-squeeze-powerpc-smp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.24

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) configure
	touch $@


build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-arch
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-indep
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) "DESTDIR=$(CURDIR)/debian/$(PACKAGE)" install 


# Build architecture-independent files here.
#binary-indep: build-indep install
binary-arch: build-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build-arch install
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tp-linux 0.49

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Copyrigth: 2005-2014 Instituto Superior Técnico
+# Copyrigth: 2005-2014,2017,2020 Instituto Superior Técnico
 # Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
 
 # License: GPL2+ with OpenSSL exception
 
 
-# "based" on template Makefile for most debian packages version 0.26
+# "based" on template Makefile for most debian packages version 0.29
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -18,7 +18,7 @@
 else
 NATIVE=0
 endif
-MDIST=squeeze
+MDIST=stretch
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -40,11 +40,11 @@
 TARFILE=file-$(VER).tar.gz
 TARDIR=untar/$(PACKNAME)-$(VER)
 ifeq ($(NATIVE),0)
-DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
 #DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
 else
-DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
 DISTFILES=$(DISTFILE)
 endif
 
@@ -117,11 +117,11 @@
 	# Non native package
 	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
 	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
-	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | gzip -v9 -c > $(DISTFILE)
+	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
 	cd .. && svn add $(DISTFILE)
 else
 	# native package
-	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | gzip -v9 -c > $(DISTFILE)
+	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
 	cd .. && svn add $(DISTFILE)
 endif
 
@@ -142,10 +142,11 @@
 tag:
 	cd .. ; svn add $(DISTFILES) ;\
 		echo $(PWD)
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
+	cd .. ; svn add --force \
+			$(SOURCENAME)_$(DEBVER)_*.changes \
 			$(SOURCENAME)_$(DEBVER)_*.build \
 			$(SOURCENAME)_$(DEBVER).dsc
-	cd .. ; svn add *_$(DEBVER)_*.deb
+	cd .. ; svn add --force *_$(DEBVER)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
 	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
 		$(DISTFILES) \
@@ -161,7 +162,7 @@
 		$(SOURCENAME)_$(DEBVER).dsc \
 		*_$(DEBVER)_*.deb \
 		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i "New release"
+	bash -c 'DEBEMAIL="jose.calhariz@tecnico.ulisboa.pt" debchange -i "New release"'
 
 
 .PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
tp-linux (0.49) stretch; urgency=low

  * Big shrink and start over again.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Tue, 07 Jul 2020 13:18:59 +0100

=== debian/control ===
Source: tp-linux
Section: dsi
Priority: optional
Maintainer: Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1


Package: dsi-linux-openafs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 linux-headers-amd64 | linux-headers, 
 linux-image-amd64 | linux-image,
 openafs-modules-dkms
Description: Recomended kernel and afs modules
 Recomended kernel and OpenAFS modules.

=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,56 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-#  "based" on template debian/rules for most debian packages version 0.24
+#  "based" on template debian/rules for most debian packages version 0.30
 
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 #For overriding debian/compat
 #export DH_COMPAT=7
 
+#This rule file have a bashism
+SHELL:=/bin/bash
+
+# From dpkg-dev
+include /usr/share/dpkg/pkg-info.mk
+
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+# Personal Variables
+PACKNAME=$(shell dh_listpackages)
 PACKAGE=$(shell dh_listpackages)
 
-# Variabels used by the Debian Maintainer exclusively for package
+# Variables used by the Debian Maintainer exclusively for package
 # development.
-DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
+#DEB_SOURCE is replacing SOURCENAME
+#SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
+#DEB_VERSION is replacing DEBVER
+#DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
+#DEB_VERSION_UPSTREAM is replacing VER
 VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
-MDIST=squeeze
+ifeq ($(DEB_VERSION),$(DEB_VERSION_UPSTREAM))
+NATIVE=1
+else
+NATIVE=0
+endif
+MDIST=jessie
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
 #CATEG=other_sources
+ifeq ($(NATIVE),0)
+DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
+#DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).diff.gz
+DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).debian.tar.gz
+else
+DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION).tar.xz
+DISTFILES=$(DISTFILE)
+endif
+
 
 
 
@@ -140,35 +171,43 @@
 # Check variabels used by the Debian Maintainer exclusively for
 # package development.
 vars:
-	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
+	echo $(DEB_VERSION_UPSTREAM) $(DEB_VERSION) $(MDIST) $(DIST) $(PACKNAME) $(DEB_SOURCE)
 	echo $(REPOSTARGET)
 	echo $(REPOSARCH)
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
+	echo $(DEB_SOURCE) $(DEB_VERSION) $(DEB_VERSION_EPOCH_UPSTREAM)
+	echo $(DEB_VERSION_UPSTREAM_REVISION) $(DEB_VERSION_UPSTREAM)
+	echo $(DEB_DISTRIBUTION) $(SOURCE_DATE_EPOCH)
+
+
+# Upload the packages and the distribution files into the rigth places
+upload: 
+	make -f ../upload upload
 
 
 # Make tags of the sources as documented by subversion
 tag:
 	cd .. ; svn add $(DISTFILES) ;\
-		echo $(PWD)
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
-			$(SOURCENAME)_$(DEBVER)_*.build \
-			$(SOURCENAME)_$(DEBVER).dsc
-	cd .. ; svn add *_$(DEBVER)_*.deb
+		echo $(CURDIR)
+	cd .. ; svn add $(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
+			$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
+			$(DEB_SOURCE)_$(DEB_VERSION).dsc
+	cd .. ; svn add *_$(DEB_VERSION)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
-	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
+	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEB_VERSION)" \
 		$(DISTFILES) \
-		$(SOURCENAME)_$(DEBVER)_*.changes \
-		$(SOURCENAME)_$(DEBVER)_*.build \
-		$(SOURCENAME)_$(DEBVER).dsc \
-		*_$(DEBVER)_*.deb
-	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
+		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
+		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
+		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
+		*_$(DEB_VERSION)_*.deb
+	svn mkdir --parents -m "Preparing tag directory for release v$(DEB_VERSION)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
+	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEB_VERSION)" \
 		$(DISTFILES) \
-		$(SOURCENAME)_$(DEBVER)_*.changes \
-		$(SOURCENAME)_$(DEBVER)_*.build \
-		$(SOURCENAME)_$(DEBVER).dsc \
-		*_$(DEBVER)_*.deb \
-		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
+		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
+		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
+		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
+		*_$(DEB_VERSION)_*.deb \
+		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
 	debchange -i "New release"
